#
# spec file for package kjots
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kjots
Version:        5.0.2
Release:        bp153.1.28
Summary:        A note taking application for KDE using Akonadi
License:        GPL-2.0-only AND LGPL-2.1-or-later
Group:          System/GUI/KDE
URL:            http://www.kde.org
Source0:        http://download.kde.org/stable/kjots/%{version}/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch0:         Fix-bookmarks-actions.patch
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  grantlee5-devel
BuildRequires:  libxslt-tools
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains KJOTS, a note taking application for KDE using Akonadi.

%lang_package

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build
%suse_update_desktop_file -C "Note Taker" org.kde.kjots    Utility  DesktopUtility
%find_lang %{name}

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES COPYING COPYING.LIB README
%_kf5_appstreamdir/
%_kf5_applicationsdir/org.kde.kjots.desktop
%_kf5_bindir/kjots
%_kf5_configkcfgdir/kjots.kcfg
%_kf5_kxmlguidir/kjots/
%_kf5_servicesdir/kjotspart.desktop
%_kf5_plugindir/kjotspart.so
%_kf5_plugindir/kcm_kjots.so
%_kf5_servicesdir/kjots_config_misc.desktop
%_kf5_sharedir/kjots/
%_kf5_iconsdir/hicolor/*/apps/kjots.*
%_kf5_iconsdir/oxygen/*/actions/edit-delete-page.*
%{_kf5_plugindir}/kontact_kjotsplugin.so
%{_datadir}/kontact/
%{_kf5_servicesdir}/kontact/

%files lang -f kjots.lang
%defattr(-,root,root)

%changelog
* Mon Apr 20 2020 wbauer@tmo.at
- Add Fix-bookmarks-actions.patch to fix "Ambiguous shortcuts"
  warning and a possible crash on start (kde#384000)
* Mon Dec 19 2016 wbauer@tmo.at
- Update to version 5.0.2:
  * some bugfixes
  * new ability to include images in notes
- Drop included patches: fix-desktop-file.patch, fix-build.patch,
  fix-icons.diff, fix-appstream.diff, enable-image-insert.patch,
  add-kontact-plugin.diff
* Sat Sep 10 2016 tittiatcoke@gmail.com
- Add fix-appstream.diff patch from upstream instead of moving
  files around after build
- Add add-kontact-plugin.diff (bko#359380). Now Kjots also shows up
  in kontact
- Add enable-image-insert.patch from upstream so that images can be
  included in the created notes
- Add fix-icons.diff to fix build with newer Frameworks.
* Mon Aug  8 2016 wbauer@tmo.at
- Add fix-build.patch to fix build with KDE Applications 16.08
* Sun Jul 24 2016 wbauer@tmo.at
- Remove boost-devel build requirement, it's not needed
* Sat Jun 18 2016 asterios.dramis@gmail.com
- Update to version 5.0.1:
  * Make it compile with Applications/15.12.
  * Add COPYING files.
- Removed make-it-build.diff (fixed upstream).
* Thu May 12 2016 dimstar@opensuse.org
- Fix name of appdata.xml file and content to be aligned with the
  .desktop file that has been renamed.
- Add a comment to the .desktop file.
* Sun Feb 14 2016 tittiatcoke@gmail.com
- Add patch fix-desktop-file.patch to make the installed
  desktop file work again. Thanks to Christian Trippe to
  detect the error.
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Update license
* Wed Jan 27 2016 tittiatcoke@gmail.com
- Initial version 5.0.0
